# FormUtils Class Reference
[Data validation layer]

Inheritance diagram for FormUtils:
[legend]

List of all members.

## Static Public Member Functions

static | object2form ($object, Form $form, $ignoreNull=true)
static | form2object (Form $form, $object, $ignoreNull=true)
static | checkPrototyped (Prototyped $object)

## Detailed Description

Definition at line 15 of file FormUtils.class.php.

## Member Function Documentation

static FormUtils::checkPrototyped | ( | Prototyped $ | object | ) | `[static]`

Definition at line 112 of file FormUtils.class.php.

References object2form(), and Prototyped::proto().

Here is the call graph for this function:

static FormUtils::form2object | ( | Form $ | form,
|  | $ | object,
|  | $ | ignoreNull = `true` |
| ) |  |  | `[static]`

Definition at line 58 of file FormUtils.class.php.

References PlainForm::getPrimitiveList(), and Assert::isTrue().

Referenced by PrototypedEditor::addObject(), SaveCommand::run(), MakeCommand::run(), and PrototypedEditor::saveObject().

Here is the call graph for this function:

static FormUtils::object2form | ( | $ | object,
|  | Form $ | form,
|  | $ | ignoreNull = `true` |
| ) |  |  | `[static]`

Definition at line 17 of file FormUtils.class.php.

References PlainForm::get(), PlainForm::getPrimitiveList(), Form::importValue(), Assert::isTrue(), and PlainForm::primitiveExists().

Referenced by checkPrototyped(), PrototypedEditor::doEdit(), and EditCommand::run().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/FormUtils.class.php